Bug 75300 - gnome panels do not stick across sawfish viewports.
gnome panels do not stick across sawfish viewports.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 22:18 EDT by rakarra
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-06 22:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rakarra 2002-10-06 22:18:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I added the following to my .sawfishrc to activate viewports (why something so
critical was disabled is beyond me):

  ;; Get viewports back
  (setq customize-command-classes '(default viewport))

  ;; (setq viewport-dimensions '(NUMBER_OF_COLS . NUMBER_OF_ROWS))
  (setq viewport-dimensions '(4 . 4))  ;; example

So.. I can use viewports again. However, all of my gnome panels/applets are only
visible on the first viewport. If I switch to any other viewports, the panels
disappear. 

A slightly related question: is there anything analogous to the Desk Guide
applet in RH 7.3? The "workspace switcher" doesn't show viewports.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable sawfish, something that isn't easy to do in RH 8.0.
2. Add the lines mentioned above to your .sawfishrc.
3. Press a key that is bound to one of the "move viewport" commands.

Actual Results:  The desktop switches viewports, but the panels seem to be
treated like regular applications, and they don't stick with the new viewport.

Expected Results:  The desktop switches viewports, and the panels are still visible.

Additional info:

Trying to set the panels as "sticky" in sawfish had no effect, though I had
little hope it would. I can set regular windows sticky.
Comment 1 Havoc Pennington 2002-10-06 22:41:34 EDT
Sawfish is provided on an as-is basis only, feature requests such as viewports
should go to bugzilla.gnome.org. We will pick up any viewport enhancements 
available in newer upstream versions.

There's no workspace applet that supports viewports at the moment, no.
Comment 2 rakarra 2002-10-07 00:53:15 EDT
After some searching, I found a fix for this, from:

http://lists.eazel.com/pipermail/sawfish/2002-July/003673.html

The following patch fixes the behavior:
--- lisp/sawfish/wm/windows.jl.orig	2002-07-24 11:28:45.000000000 -0700
+++ lisp/sawfish/wm/windows.jl	2002-07-24 11:29:00.000000000 -0700
@@ -85,7 +85,7 @@
   (defvar dock-window-properties
     '(window-list-skip cycle-skip fixed-position focus-click-through
       avoid no-history never-iconify never-maximize sticky
-      stick-viewport placed)
+      sticky-viewport placed)
     "List of properties set (to true) on windows marked as docks.")




Note You need to log in before you can comment on or make changes to this bug.